## ros-kinetic-image-view2 2.2.11

=== debian/changelog ===
ros-kinetic-image-view2 (2.2.11-1xenial) xenial; urgency=high

  * fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fox for opencv4
      * remove signals from find_package(Boost COMPONENTS ...)
      * migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
      * upgrade package.xml to format=3
    
  * Add sample code for image_view2f( #1646 <https://github.com/jsk-ros-pkg/jsk_common/issues/1646>)
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Jul 2020 00:00:00 -0000

ros-kinetic-image-view2 (2.2.10-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-kinetic-image-view2 (2.2.9-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-kinetic-image-view2 (2.2.8-1xenial) xenial; urgency=high

  * Add comment about installation (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * [image_view2/image_view2.cpp] Correct grammer. 'could not found' -> could not find' (#1606 <https://github.com/jsk-ros-pkg/jsk_common/issues/1606>)
  * Contributors: Yuto Uchimi, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-kinetic-image-view2 (2.2.7-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 27 Jun 2018 00:00:00 -0000

ros-kinetic-image-view2 (2.2.6-1xenial) xenial; urgency=high

  * image_view2: support kinetic (#1573 <https://github.com/jsk-ros-pkg/jsk_common/issues/1573>)
  * image_view2: fix publish_mouse_event (#1564 <https://github.com/jsk-ros-pkg/jsk_common/issues/1564>)
  * need to find pcl_ros for image_view2 (#1541 <https://github.com/jsk-ros-pkg/jsk_common/issues/1541>)
  * Contributors: Eisoku Kuroiwa, Kei Okada, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 05 Jan 2018 00:00:00 -0000

ros-kinetic-image-view2 (2.2.5-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 19 Jun 2017 00:00:00 -0000

ros-kinetic-image-view2 (2.2.4-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2017 00:00:00 -0000

ros-kinetic-image-view2 (2.2.3-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Mar 2017 00:00:00 -0000

ros-kinetic-image-view2 (2.2.2-1xenial) xenial; urgency=high

  * test/publish_lena.py: lena() is not included in scipy from 0.17
  * src/image_view2.cpp: add cv::waitKey for opencv3 installed from source to fix freezing issue
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 30 Dec 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.2.1-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Dec 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.2.0-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.1.2-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Sep 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.1.1-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Sep 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.1.0-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Sep 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.0.17-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Jul 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.0.16-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Jun 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.0.15-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 13 Jun 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.0.14-1xenial) xenial; urgency=high

  * fix for error when using opencv3
  * Contributors: Krishneel Chaudhary

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 14 May 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.0.13-1xenial) xenial; urgency=high

  * Support OpenCV3
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 29 Apr 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.0.12-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 18 Apr 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.0.11-1xenial) xenial; urgency=high

  * Fix header of screenrectangle topic to include frame_id
    Modified:
    - jsk_ros_patch/image_view2/image_view2.cpp
  * remove dynamic_reconfigure.parameter_generator, which only used for rosbuild
  * [image_view2] Keep publishing test data
  * Contributors: Kei Okada, Kentaro Wada, Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.0.10-1xenial) xenial; urgency=high

  * [image_view2] retry 3 to avoid 'failed to launch' error
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 13 Feb 2016 00:00:00 -0000

ros-kinetic-image-view2 (2.0.9-1xenial) xenial; urgency=high

  * [image_view2] Not test on hydro (jsk_tools/test_topic_published.py does not work on travis/jenkins)
    Modified:
    jsk_ros_patch/image_view2/CMakeLists.txt
  * [image_view2] Use ccache if installed to make it fast to generate object files
  * [image_view2] Install test dir for rostest after installed
    Modified:
    jsk_ros_patch/image_view2/CMakeLists.txt
  * [image_view2] Refactor package.xml (sort and remove no need)
    Modified:
    jsk_ros_patch/image_view2/package.xml
  * [image_view2] Test screenrectangle image with mouse event
    Closes https://github.com/jsk-ros-pkg/jsk_common/issues/1247
    Modified:
    jsk_ros_patch/image_view2/package.xml
    Added:
    jsk_ros_patch/image_view2/test/publish_lena.py

