=== debian/control ===
Source: ros-kinetic-image-view2
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python-numpy, python-scipy, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-geometry-msgs, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-image-view, ros-kinetic-message-filters, ros-kinetic-message-generation, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf
Homepage: http://ros.org/wiki/image_view2
Standards-Version: 3.9.2

Package: ros-kinetic-image-view2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cv-bridge, ros-kinetic-geometry-msgs, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-image-view, ros-kinetic-message-filters, ros-kinetic-message-runtime, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf
Description: A simple viewer for ROS image topics with draw-on features
